/*
 * (c) 2021, SWD Embedded Systems Limited, http://www.kpda.ru
 */


#include <sys/f3s_mtd.h>
#include <pthread.h>
#include "f3s_spi.h"


int f3s_spi_v2erase( f3s_dbase_t *dbase, f3s_access_t *access, uint32_t flags, uint32_t offset )
{
    int     ret;

    if ( (ret = s25_spi_erase( access->socket.memory, offset, ERASE_SECTOR )) != 0 )
        fprintf( stderr, "(devf  t%d::%s:%d) erase status failed for offset 0x%x, ret val %d\n",
                 pthread_self(), __func__, __LINE__, offset, ret );

    return (EOK);
}
